Skip to main content
POST
/
data-upload-submissions
Post Data Upload Submission
curl --request POST \
  --url https://api.sandbox.isometric.com/mrv/v0/data-upload-submissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "file_upload_id": "tfu_1DZPAW31R1S0ZESH",
  "facility_id": "fcl_1G8QT5ZAB1S0XSDW",
  "storage_location_id": "slc_1F3PMGVC91S0SBK3"
}
'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/data-upload-submissions"

payload = {
"file_upload_id": "tfu_1DZPAW31R1S0ZESH",
"facility_id": "fcl_1G8QT5ZAB1S0XSDW",
"storage_location_id": "slc_1F3PMGVC91S0SBK3"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_upload_id: 'tfu_1DZPAW31R1S0ZESH',
facility_id: 'fcl_1G8QT5ZAB1S0XSDW',
storage_location_id: 'slc_1F3PMGVC91S0SBK3'
})
};

fetch('https://api.sandbox.isometric.com/mrv/v0/data-upload-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "facility_id": "fcl_1G8QT5ZAB1S0XSDW",
  "id": "dus_1GBBSJ6P91S0R41N",
  "storage_location_id": "slc_1F3PMGVC91S0SBK3",
  "error_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
file_upload_id
string
required

The ID of the file upload that contains the data to be processed.

Required string length: 20 - 37
Examples:

"tfu_1DZPAW31R1S0ZESH"

"tfu_1CHF4YC38SBX9E20"

submission_type
enum<string>
required
Available options:
biochar_pyrolysis_reactor_facility_time_series,
dac_storage_site_time_series,
dac_facility_time_series,
wae_wastewater_treatment_plant_facility_time_series
facility_id
string | null

The ID of the facility the data is associated with.

Required string length: 20 - 37
Example:

"fcl_1G8QT5ZAB1S0XSDW"

storage_location_id
string | null

The ID of the storage location the data is associated with.

Required string length: 20 - 37
Example:

"slc_1F3PMGVC91S0SBK3"

Response

Successful Response

facility_id
string | null
required
Required string length: 20 - 37
Example:

"fcl_1G8QT5ZAB1S0XSDW"

id
string
required
Required string length: 20 - 37
Examples:

"dus_1GBBSJ6P91S0R41N"

"dus_1CRY1X1Q3SBX1CY2"

status
enum<string>
required
Available options:
pending,
completed,
failed
storage_location_id
string | null
required
Required string length: 20 - 37
Example:

"slc_1F3PMGVC91S0SBK3"

submission_type
enum<string>
required
Available options:
biochar_pyrolysis_reactor_facility_time_series,
dac_storage_site_time_series,
dac_facility_time_series,
wae_wastewater_treatment_plant_facility_time_series
error_message
string | null

Error message if the submission failed during processing.